- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_client_t

# mongoc_client_new_from_uri()

## Synopsis

    mongoc_client_t *
    mongoc_client_new_from_uri (const mongoc_uri_t *uri);

Creates a new mongoc_client_t using the mongoc_uri_t provided.

## Parameters

- `uri`: A mongoc_uri_t.

## Returns

A newly allocated mongoc_client_t that should be freed with mongoc_client_destroy() when no longer in use.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.